Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetTargetPoint

Get the number of a point in the transformed mesh based on information from the original mesh.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetTargetPoint(DMPlexTransform tr, DMPolytopeType ct, DMPolytopeType ctNew, PetscInt p, PetscInt r, PetscInt *pNew)

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- ct - The type of the original point which produces the new point

- ctNew - The type of the new point

- p - The original point which produces the new point

- r - The replica number of the new point, meaning it is the rth point of type `ctNew` produced from `p`

## Output Parameter

- pNew - The new point number

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPolytopeType`, `DMPlexTransformGetSourcePoint()`, `DMPlexTransformCellTransform()`

## Level

developer

## Location

src/dm/impls/plex/transform/interface/plextransform.c

## Examples

src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex11.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages